nilmdb: Non-Intrusive Load Monitor Database
by Jim Paris <jim@jtan.com>

Prerequisites:

  # Runtime and build environments
  sudo apt install python3.7 python3.7-dev python3-pip

  # Base NilmDB dependencies
  sudo pip3 install cherrypy decorator simplejson requests
  sudo pip3 install python-dateutil tz progressbar psutil
  sudo pip3 install python-datetime-tz

  # Other dependencies (required by some modules)
  sudo pip3 install numpy

  # Tools for running tests
  sudo pip3 install nose coverage

Test:
  python3 setup.py nosetests

Install:

  sudo python3 setup.py install

Usage:

  nilmdb-server --help
  nilmdb-fsck --help
  nilmtool --help

See docs/wsgi.md for info on setting up a WSGI application in Apache.
